[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Upgrade to 2.3.9: Startup Fails With "Duplicate attributeType"

On Thursday 13 October 2005 14:15, Jim Seymour wrote:
> "Kurt D. Zeilenga" <Kurt@OpenLDAP.org> wrote:
> > Most likely you have not upgraded the schema files in
> > your configuration with the new ones provided in the
> > release.
> [snip]
> Hard to say, being as a did a "make install" for 2.3.7 to get a
> working LDAP server again.  There *were* a bunch of new schema
> files installed, as those were left after the subsequent 2.3.7
> re-install.
> As I noted originally: I did a "make install" of 2.3.9.  Is there
> something else that needs to be done to get an upgrade to work?

If you're using back-config, yes. Since back-config isn't enforced by default, 
I don't think the install target will overwrite your configs in slapd.d 
(which may not exist, and even if it does, may not be in use) ... so you 
probably need to copy the new schema ldif files 
(ie /etc/openldap/schema/*.ldif or similar) over the corresponding schema 
files in slapd.d.

> Is it documented somewhere, and I missed it?

Well ... re-populating slapd.d from scratch would probably also fix it, but 
kind of defeats the point.


Buchan Milne
ISP Systems Specialist

Attachment: pgpXfA0c4QRXR.pgp
Description: PGP signature